Bug 839654 - Review Request: rubygem-temple - Template compilation framework in Ruby
Review Request: rubygem-temple - Template compilation framework in Ruby
Status: CLOSED DUPLICATE of bug 843775
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 09:49 EDT by Maros Zatko
Modified: 2012-09-10 11:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 11:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maros Zatko 2012-07-12 09:49:30 EDT
Spec URL: http://v3.sk/~hexo/rpm/temple.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-temple-0.4.0-1.fc17.src.rpm
Description: Template compilation framework in Ruby
Fedora Account System Username: mzatko
Comment 1 Michael Scherer 2012-07-28 08:27:41 EDT
It doesn't build :
+ mkdir -p /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems
+ cp -a ./usr/share/gems/cache ./usr/share/gems/doc ./usr/share/gems/gems ./usr/share/gems/specifications /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc1
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /builddir/build/BUILD/rubygem-temple-0.4.0
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: rubygem-temple-0.4.0-1.fc17.noarch
erreur: Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/checksums
erreur: Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/objects/root.dat
erreur: Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/proxy_types
Erreur de construction de RPM:
    Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/checksums
    Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/objects/root.dat
    Fichier non trouvé: /builddir/build/BUILDROOT/rubygem-temple-0.4.0-1.fc17.x86_64/usr/share/gems/gems/temple-0.4.0/.yardoc/proxy_types
Child return code was: 1


( file not found ).

I gues there is a missing BuildRequires ?
Comment 2 Maros Zatko 2012-09-03 11:38:18 EDT
Thank you for review, there is a updated spec & srpm

Spec URL: http://v3.sk/~hexo/rpm/temple.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-temple-0.4.0-2.fc17.src.rpm
Description: Template compilation framework in Ruby
Fedora Account System Username: mzatko
Comment 3 Vít Ondruch 2012-09-10 11:47:09 EDT
Good new, this is already in Fedora. Apologize for not noticing this review when I did the review bug 843775 :/

*** This bug has been marked as a duplicate of bug 843775 ***

Note You need to log in before you can comment on or make changes to this bug.